Description

Related issues:

Related to Database - Feature #2134: configurable denormalization of extent f... Closed 08/13/2013 08/23/2013

History

#1 - 05/29/2015 01:25 PM - Eric Faulhaber

For a schema with a lot of tables requiring extent field denormalization, it would be simpler and less error prone to declare a single hint at the schema

level to denormalize every extent field in every table. Something like:

<hints>

  <schema>

    <custom-extent/>

    ...

  <schema>

<hints>

We have to consider how this would co-exist with other custom-extent hints declared at lower levels of the hint hierarchy, which potentially would

override this setting and/or provide more specific information for individual tables and fields.

#2 - 11/16/2016 01:16 PM - Greg Shah

- Target version deleted (24)

#3 - 02/06/2017 01:50 PM - Eric Faulhaber

- Subject changed from add schema-wide extent field denormalization hint to make field denormalization the default schema conversion for extent

fields

- File ecf_exp_denorm_3209e_11177_20170201a.zip added

I am changing the name and purpose of this issue to reflect the intention to make extent field denormalization the default way to convert a schema.

Performance generally is better than with normalized tables, except in cases with very large extent fields. To deal with exceptions, we will enable a

hint to normalize specific fields and tables.

An initial implementation of this change is attached, but it needs cleanup, testing, and probably some work to make the default naming convention

more robust.
Files

ecf_exp_denorm_3209e_11177_20170201a.zip 36.3 KB 02/06/2017 Eric Faulhaber
